
Katello - Bug #5576

Installer fails on discovery plugin enabled on 'calling :function_validate_bool with [[""]] "" is not a

boolean.'

05/05/2014 08:30 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The reason for the fail is the params.pp file for the discovery being loaded when determining

the default values:

Could not look up qualified variable 'foreman::plugin::discovery::params::install_images'; class f

oreman::plugin::discovery::params has not been evaluated

History

#1 - 05/05/2014 08:35 PM - Ivan Necas

- Status changed from Assigned to Ready For Testing

#2 - 05/05/2014 08:36 PM - Ivan Necas

Seems like the foreman installer was already fixed (where is the issue number in the commit? 

https://github.com/theforeman/foreman-installer/commit/8e217f93d3f0b2965382d7a5a38a26e2b5a369b8 :)

The katello installer PR is here: https://github.com/Katello/katello-installer/pull/53

#3 - 05/06/2014 07:56 AM - Dominic Cleal

- Project changed from Installer to Katello

- Category changed from Foreman modules to Installer

- Triaged set to No

#4 - 05/27/2014 03:35 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

#5 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#6 - 06/05/2014 03:35 AM - Eric Helms

- Triaged changed from No to Yes

#7 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
